define(["amber/boot", "require", "amber/core/Kernel-Collections", "amber/core/Kernel-Methods", "amber/core/Kernel-Objects", "amber/web/Web"], function($boot,requirejs){"use strict";
var $core=$boot.api,nil=$boot.nilAsValue,$nil=$boot.nilAsReceiver,$recv=$boot.asReceiver,$globals=$boot.globals;
var $pkg = $core.addPackage("Web-JQuery");
$pkg.innerEval = function (expr) { return eval(expr); };
$pkg.imports = ["amber/jquery/Wrappers-JQuery"];
//>>excludeStart("imports", pragmas.excludeImports);
$pkg.isReady = new Promise(function (resolve, reject) { requirejs(["amber/jquery/Wrappers-JQuery"], function () {resolve();}, reject); });
//>>excludeEnd("imports");
$pkg.transport = {"type":"amd","amdNamespace":"amber/web"};
$core.addMethod(
$core.method({
selector: "appendToJQuery:",
protocol: "*Web-JQuery",
fn: function (aJQuery){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
$self._value_($recv($globals.HTMLCanvas)._onJQuery_(aJQuery));
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"appendToJQuery:",{aJQuery:aJQuery})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aJQuery"],
source: "appendToJQuery: aJQuery\x0a\x09self value: (HTMLCanvas onJQuery: aJQuery)",
referencedClasses: ["HTMLCanvas"],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["value:", "onJQuery:"]
}),
$globals.BlockClosure);

$core.addMethod(
$core.method({
selector: "initializeFromJQuery:",
protocol: "*Web-JQuery",
fn: function (aJQuery){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
$self.root=$recv($globals.TagBrush)._fromJQuery_canvas_(aJQuery,self);
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"initializeFromJQuery:",{aJQuery:aJQuery})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aJQuery"],
source: "initializeFromJQuery: aJQuery\x0a\x09root := TagBrush fromJQuery: aJQuery canvas: self",
referencedClasses: ["TagBrush"],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["fromJQuery:canvas:"]
}),
$globals.HTMLCanvas);

$core.addMethod(
$core.method({
selector: "onJQuery:",
protocol: "*Web-JQuery",
fn: function (aJQuery){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
var $1;
$1=$self._new();
$recv($1)._initializeFromJQuery_(aJQuery);
return $recv($1)._yourself();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"onJQuery:",{aJQuery:aJQuery})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aJQuery"],
source: "onJQuery: aJQuery\x0a\x09^ self new\x0a\x09\x09initializeFromJQuery: aJQuery;\x0a\x09\x09yourself",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["initializeFromJQuery:", "new", "yourself"]
}),
$globals.HTMLCanvas.a$cls);

$core.addMethod(
$core.method({
selector: "appendToJQuery:",
protocol: "*Web-JQuery",
fn: function (aJQuery){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
$recv(aJQuery)._append_($self._asString());
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"appendToJQuery:",{aJQuery:aJQuery})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aJQuery"],
source: "appendToJQuery: aJQuery\x0a\x09aJQuery append: self asString",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["append:", "asString"]
}),
$globals.Object);

$core.addMethod(
$core.method({
selector: "appendToJQuery:",
protocol: "*Web-JQuery",
fn: function (aJQuery){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
$recv(aJQuery)._append_(self);
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"appendToJQuery:",{aJQuery:aJQuery})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aJQuery"],
source: "appendToJQuery: aJQuery\x0a\x09aJQuery append: self",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["append:"]
}),
$globals.String);

$core.addMethod(
$core.method({
selector: "asJQuery",
protocol: "*Web-JQuery",
fn: function (){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
return $recv($self._asDomNode())._asJQuery();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"asJQuery",{})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: [],
source: "asJQuery\x0a\x09^ self asDomNode asJQuery",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["asJQuery", "asDomNode"]
}),
$globals.TagBrush);

$core.addMethod(
$core.method({
selector: "asJQueryInContext:",
protocol: "*Web-JQuery",
fn: function (aContext){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
return $recv($self._asDomNode())._asJQueryInContext_(aContext);
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"asJQueryInContext:",{aContext:aContext})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aContext"],
source: "asJQueryInContext: aContext\x0a\x09^ self asDomNode asJQueryInContext: aContext",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["asJQueryInContext:", "asDomNode"]
}),
$globals.TagBrush);

$core.addMethod(
$core.method({
selector: "initializeFromJQuery:canvas:",
protocol: "*Web-JQuery",
fn: function (aJQuery,aCanvas){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
$self.element=$recv(aJQuery)._get_((0));
$self.canvas=aCanvas;
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"initializeFromJQuery:canvas:",{aJQuery:aJQuery,aCanvas:aCanvas})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aJQuery", "aCanvas"],
source: "initializeFromJQuery: aJQuery canvas: aCanvas\x0a\x09element := aJQuery get: 0.\x0a\x09canvas := aCanvas",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["get:"]
}),
$globals.TagBrush);

$core.addMethod(
$core.method({
selector: "onHover:",
protocol: "*Web-JQuery",
fn: function (aBlock){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
$recv($self._asJQuery())._bind_do_("hover",aBlock);
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"onHover:",{aBlock:aBlock})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aBlock"],
source: "onHover: aBlock\x0a\x09self asJQuery bind: 'hover' do: aBlock",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["bind:do:", "asJQuery"]
}),
$globals.TagBrush);

$core.addMethod(
$core.method({
selector: "fromJQuery:",
protocol: "*Web-JQuery",
fn: function (aJQuery){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
return $self._fromJQuery_canvas_(aJQuery,$recv($globals.HTMLCanvas)._new());
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"fromJQuery:",{aJQuery:aJQuery})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aJQuery"],
source: "fromJQuery: aJQuery\x0a\x09^ self fromJQuery: aJQuery canvas: HTMLCanvas new",
referencedClasses: ["HTMLCanvas"],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["fromJQuery:canvas:", "new"]
}),
$globals.TagBrush.a$cls);

$core.addMethod(
$core.method({
selector: "fromJQuery:canvas:",
protocol: "*Web-JQuery",
fn: function (aJQuery,aCanvas){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
var $1;
$1=$self._new();
$recv($1)._initializeFromJQuery_canvas_(aJQuery,aCanvas);
return $recv($1)._yourself();
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"fromJQuery:canvas:",{aJQuery:aJQuery,aCanvas:aCanvas})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aJQuery", "aCanvas"],
source: "fromJQuery: aJQuery canvas: aCanvas\x0a\x09^ self new\x0a\x09\x09initializeFromJQuery: aJQuery canvas: aCanvas;\x0a\x09\x09yourself",
referencedClasses: [],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["initializeFromJQuery:canvas:", "new", "yourself"]
}),
$globals.TagBrush.a$cls);

$core.addMethod(
$core.method({
selector: "appendToJQuery:",
protocol: "*Web-JQuery",
fn: function (aJQuery){
var self=this,$self=this;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
return $core.withContext(function($ctx1) {
//>>excludeEnd("ctx");
$self._renderOn_($recv($globals.HTMLCanvas)._onJQuery_(aJQuery));
return self;
//>>excludeStart("ctx", pragmas.excludeDebugContexts);
}, function($ctx1) {$ctx1.fill(self,"appendToJQuery:",{aJQuery:aJQuery})});
//>>excludeEnd("ctx");
},
//>>excludeStart("ide", pragmas.excludeIdeData);
args: ["aJQuery"],
source: "appendToJQuery: aJQuery\x0a\x09self renderOn: (HTMLCanvas onJQuery: aJQuery)",
referencedClasses: ["HTMLCanvas"],
//>>excludeEnd("ide");
pragmas: [],
messageSends: ["renderOn:", "onJQuery:"]
}),
$globals.Widget);

});
