Smalltalk createPackage: 'Web-JQuery'!
(Smalltalk packageAt: 'Web-JQuery' ifAbsent: [ self error: 'Package not created: Web-JQuery' ]) imports: {'amber/jquery/Wrappers-JQuery'}!
!BlockClosure methodsFor: '*Web-JQuery'!

appendToJQuery: aJQuery
	self value: (HTMLCanvas onJQuery: aJQuery)
! !

!HTMLCanvas methodsFor: '*Web-JQuery'!

initializeFromJQuery: aJQuery
	root := TagBrush fromJQuery: aJQuery canvas: self
! !

!HTMLCanvas class methodsFor: '*Web-JQuery'!

onJQuery: aJQuery
	^ self new
		initializeFromJQuery: aJQuery;
		yourself
! !

!Object methodsFor: '*Web-JQuery'!

appendToJQuery: aJQuery
	aJQuery append: self asString
! !

!String methodsFor: '*Web-JQuery'!

appendToJQuery: aJQuery
	aJQuery append: self
! !

!TagBrush methodsFor: '*Web-JQuery'!

asJQuery
	^ self asDomNode asJQuery
!

asJQueryInContext: aContext
	^ self asDomNode asJQueryInContext: aContext
!

initializeFromJQuery: aJQuery canvas: aCanvas
	element := aJQuery get: 0.
	canvas := aCanvas
!

onHover: aBlock
	self asJQuery bind: 'hover' do: aBlock
! !

!TagBrush class methodsFor: '*Web-JQuery'!

fromJQuery: aJQuery
	^ self fromJQuery: aJQuery canvas: HTMLCanvas new
!

fromJQuery: aJQuery canvas: aCanvas
	^ self new
		initializeFromJQuery: aJQuery canvas: aCanvas;
		yourself
! !

!Widget methodsFor: '*Web-JQuery'!

appendToJQuery: aJQuery
	self renderOn: (HTMLCanvas onJQuery: aJQuery)
! !

